<form [formGroup]="itemImagesForm">
  <app-card>
    <div class="row">
      <div class="col col-sm-2">
        <div class="custom-file form-control">
          <input
            class="form-control"
            type="file"
            id="formFile"
            accept="image/*"
            (change)="handleImageChange($event)"
          />
          <div class="frame">
            <div class="icon"><i class="fas fa-images"></i></div>
            <div class="text">
              <i class="fas fa-circle-plus"></i> Upload Images
            </div>
          </div>
        </div>
      </div>
      <div
        class="col col-sm-2"
        *ngFor="let i of previewImages; let ind = index"
      >
        <div class="gallery form-control">
          <div class="frame">
            <div class="img">
              <img [src]="i" />
            </div>
            <div class="action">
              <button class="btn btn-primary" (click)="handleImageDelete(ind)">
                <i class="fas fa-trash"></i>
              </button>
            </div>
          </div>
        </div>
      </div>
      <div class="col col-sm-2" *ngFor="let i of editImages; let ind = index">
        <div class="gallery form-control">
          <div class="frame">
            <div class="img">
              <img [src]="imgBaseURL + i.image" />
            </div>
            <div class="action">
              <button
                class="btn btn-danger"
                (click)="editImages.splice(ind, 1)"
              >
                <i class="fas fa-xmark"></i>
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </app-card>
</form>

<div class="text-end my-4 mx-2">
  <app-button
    text="Update"
    (onClick)="onSubmit($event)"
    [loading]="showLoader"
    *ngIf="isEdit"
  >
  </app-button>
  <!-- <app-button
    text="Add"
    (onClick)="onSubmit($event)"
    [loading]="showLoader"
    *ngIf="!Id"
  >
  </app-button> -->
  <app-button text="Cancel" (onClick)="goToList()"> </app-button>
</div>
